Create a Post
cancel
Showing results for 
Search instead for 
Did you mean: 
Tommy_Forrest
Advisor

Let's talk about Java (Lights Out Management)

Yesterday I watched the Check Point Briefing about the new Quantum series of gateways.

When presented an opportunity to ask questions, I asked about whether or not Java is still going to be a requirement for Console Redirection in LOM.  Unfortunately, they spent more time discussing security issues with Zoom rather than answering pertinent questions and didn't make it to my question.

Pulling the LOM Admin guide that covers the new quantum appliances, it seems Java is still a requirement.

Guys, why is this still a thing?  There's like, 1 browser that barely supports Java plug ins and its days are numbered.  I can only convince my workstation to run Java plugins on days that don't end in "y" and there's a full moon on that day.

It's becoming an increasingly futile exercise to access the console over LOM using Java.  Any chance this can go away for a more modern technology like HTML5?  Or something?

9 Replies
Rob_Bush
Participant

Amen! Connecting to LOM via Internet Explorer now on a special virtual machine I have for the exact reason you mention. Sharing out an ISO via the Java Virtual Media. It takes about 4 hrs to get the ISO loaded on. The solution is beyond convenient, though it is slow and like you I worry about how much longer it's going to "work."
Guy_Maoz
Employee Alumnus
Employee Alumnus

Replacing JAVA with HTML5 is on our roadmap for the next generation LOM module for Quantum appliances.

Release date to be announced during Q4 2020.

Tommy_Forrest
Advisor

Howdy.  Wanted to follow up on this.

Getting some shiny new 7000, 16600HS and 28600HS's setup this week and went to upgrade the LOM version to 0.40 and was dismayed to see that Java is ... _STILL_ ... a ... requirement.

And we're a year and a month further down the road.

Any word on when this is going to get addressed?

Vladimir
Champion
Champion

You are quite right, Java got to go. Preferably yesterday.

I suspect that the issue with LOM is that it requires different hardware to run HTML5 console. Given chip shortages this year, it may not be trivial to secure a supply for new LOMs, but this is just my speculation.

0 Kudos
Tommy_Forrest
Advisor

Well, according to an earlier post, this was supposed to be announced last year for these new Quantum series gateways.

Here we are, 2QT 2021 and sk167336 has you download 0.40 for the hardware I have and.  Java.  😞

0 Kudos
Yaron_Weiler
Employee
Employee

The new HTML5-based LOM is expected to be announced towards end-Q3 and will be targeted Quantum appliances only

Tommy_Forrest
Advisor

Thanks Yaron

What does "targeted Quantum appliances only" mean?  Any appliance that is labeled Quantum?  Or only certain ones in the Quantum series?

0 Kudos
Yaron_Weiler
Employee
Employee

Hi Tommy,

 

it means that it is relevant to all Quantum enterprise appliances and do not apply to older lineups.

0 Kudos
Harald_Hansen
Collaborator

sk167736 is now updated with LOM firmware supporting HTML5 for 6000+ series

0 Kudos